Index: mscore/libmscore/image.cpp
===================================================================
--- mscore/libmscore/image.cpp	(revision 5316)
+++ mscore/libmscore/image.cpp	(working copy)
@@ -249,9 +249,11 @@
      painter->setWorldTransform(t);
      if (buffer.size() != s || _dirty || score()->printing()) {
            if (score()->printing()) {
-                  QPointF pt(canvasPos());
+                  QPointF pt(pagePos());
                  painter->setViewport(pt.x() * xscale, pt.y() * yscale, s.width(), s.height());
                  doc->render(painter);
+                  painter->restore();           // do not draw image again with Image::draw()
+                  return;
                  }
            else {
				   buffer = QPixmap(s);
